IPB, WordPress, IP.Board, php-Fusion, Invision Power Board

При установке: Cannot modify header information

371

Если у Вас при установке в самом верху страницы появляется вот такая примерно строчка:

Warning: Cannot modify header information - headers already sent by (output started at /usr/home/saleitme/domains/site.com/public_html/wp-config.php:1)

Скорее всего, Вы редактировали файл wp-config.php руками. Редактор, в котором Вы это делали, поставил в начало файла специальные метки. По эти меткам можно распознать, что файл в кодировке utf-8. Но некоторые веб-серверы не понимают, что это служебная информация и выводят ее в браузер.

Кстати, при автоматической установке, ничего подобного не возникает

Как решить проблему?

Нулевой вариант: Скачать дистрибутив WordPress с нашего сайта. Так как проблема возникает у многих, пришлось поступиться принципами и файл wp-config-sample.php теперь в кодировке ANSI. Но я настоятельно рекомендую не править файл wp-config.php руками при первоначальной установке, а использовать автоматическую установку.

1 вариант: Открыть файл wp-config.php в редакторе PSPad. Меню «Формат». Там выбираем кодировку ANSI и загружаем файл на сервер.

2 вариант: Взять wp-config-sample.php из оригинального дистрибутива WordPress. Конструктор «Сделай Сам»

Comments are closed.